//+---------------------------------------------------------------------------------------+
//|                                         Buy_Sell_Limit_Order.mq4                      |
//|                                                             almo                      |
//|                                                                                       |
//|   This script will put a Buy Stop and Sell Stop on the previous bars High/Low candle
//+---------------------------------------------------------------------------------------+
#property copyright "almo"
#property link      ""
#property version   "1.00"
#property strict
#property script_show_inputs
//--- input parameters
input double   dLots=0.01;
input int      iBarsBack=1;
input int      iMagicNumber = 12345;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
double barHigh, barLow;

barHigh = iHigh(Symbol(),0,iBarsBack);
barLow = iLow(Symbol(),0,iBarsBack);

int chk = OrderSend(Symbol(),OP_BUYSTOP,dLots,barHigh,0,0,0,"Script for BuyStop",iMagicNumber,0,clrGreen);
chk = OrderSend(Symbol(),OP_SELLSTOP,dLots,barLow,0,0,0,"Script for BuyStop",iMagicNumber,0,clrRed);

   
  }
//+------------------------------------------------------------------+
